package com.qmth.boot.test.core.uid;

import com.qmth.boot.core.uid.config.UidProperties;
import com.qmth.boot.core.uid.service.impl.LocalMachineService;
import com.qmth.boot.core.uid.service.impl.LocalUidService;
import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;

public class UidTest {

    private static UidProperties uidProperties;

    private static LocalUidService uidService;

    private static LocalMachineService machineService;

    @BeforeClass
    public static void prepare() {
        uidProperties = new UidProperties();
        machineService = new LocalMachineService();

        uidService = new LocalUidService(machineService, uidProperties);
    }

    @Test
    public void test() {
        Assert.assertTrue(uidService.getId() > 0);
    }
}
